ChoozzeStatus

Rating: 
5
Your rating: None Average: 5 (3 votes)

DISCONTINUED!!

Due to the fact that this operator does not respect there customers, I have stopped using Choozze en therefore, I will stop supporting this app.

Choozze.nu mobile phone plan and account status. It retrieves the current account status and settings for voicemail and call forwarding. It allows also to change the voicemail and callforwarding settings.

This is not an official application of Choozze.nu

In order to have your data secure on your device, you need to install manually the python pycrypto module. Else your login credentials are in plain text on your device.
This can be done with the following steps:

  1. Login with with SSH
  2. Become root (devel-su)
  3. Install Python3 devel package: zypper install python3-devel
  4. Install Crypto module: easy_install-3.4 pycrypto

Now when the application is started the encryption will be detected and enabled.

Screenshots: 
Application versions: 
AttachmentSizeDate
choozzestatus-0.1-1.armv7hl.rpm61.71 KB18/08/2015 - 01:03
choozzestatus-0.2-1.armv7hl.rpm65.57 KB18/08/2015 - 16:32
choozzestatus-0.3-1.armv7hl.rpm67.35 KB20/08/2015 - 21:32
choozzestatus-0.4-1.armv7hl.rpm65.55 KB21/08/2015 - 16:48
choozzestatus-0.4-2.armv7hl.rpm42.75 KB21/08/2015 - 18:27
choozzestatus-0.5-0.armv7hl.rpm46.68 KB08/11/2015 - 23:45
choozzestatus-0.6-0.armv7hl.rpm48.17 KB22/11/2015 - 02:51
choozzestatus-0.6-1.armv7hl.rpm48.35 KB22/11/2015 - 14:07
choozzestatus-0.6-2.armv7hl.rpm48.72 KB06/12/2015 - 17:40
Changelog: 

- Fixed date exception. Caused the app not to start working. - Fixed regex match for getting the right amount of internet usage. Thanks to Maurits

Comments

birdzhang's picture

Step3:Install Python3 devel package: zypper install python3-devel

You can add <strong>- python3-devel >= 3.4.3</strong>to your yaml Requires,

this will automatic install python3-devel.

No pycrypto package found at offical repo,this need install by yourself.

theyosh's picture

Hi, yes I did this the first version. But I thought that it would not be handy, because python3-devel is only needed if you want to enable encryption. And you need ssh and development modus.

As I think that not everybody does this, I have removed the depency on the python3-devel package. So that you don't install extra packages that are not going to be used.

I was thinking of a way, that the package will also install pycrypto module automatically, but I had no time for that yet. I will look into this in the future.

birdzhang's picture
theyosh's picture

Unfortunally not. Niel has his pycrypto package build for python 2.7. I use 3.4 :D. So that will not work.

Also pycrypto needs to be build against system libraries. So that means that everybody should have the latest Jolla updates installed, or else there are libraries missing.

I already tried to add a compiled version of pycrypto to my package. It will work on my phone, but the Sailfish emulator will not. Because there are library differences.

Thanks for searching.

theyosh's picture

The application is for the free mobile operator Choozze.nu. It is a Dutch company.

This is my first Jolla application, learning QT5 and QML with Python